// ICAPKInterface.aidl
package wangpos.sdk4.emv;



interface IEmvAppListInterface {

    byte[] toByteArray();

    int parseByteArray(in byte[] data);

     String getAppName();

     void setAppName(in String appName);

     String getAID() ;

     int setAID(in String aid) ;

     int getAIDLen() ;

     String getSelFlag() ;

     void setSelFlag(in String selFlag) ;

     String getVersion() ;

     int setVersion(in String version) ;

     int getPriority() ;

     void setPriority(in int priority) ;

     int getFloorLimitCheck() ;

     void setFloorLimitCheck(in int floorLimitCheck) ;

     long getFloorLimit() ;

     void setFloorLimit(in long floorLimit) ;

     int getRandTransSel() ;

     int setRandTransSel(in int randTransSel) ;

     long getThreshold() ;

     void setThreshold(in long threshold);

     int getTargetPer() ;

     int setTargetPer(in int targetPer) ;

     int getMaxTargetPer();

     int setMaxTargetPer(in int maxTargetPer) ;

     int getVelocityCheck() ;

     int setVelocityCheck(in int velocityCheck) ;

     String getTACDenial() ;

     void setTACDenial(in String tacDenial);

     String getTACOnline();

     void setTACOnline(in String TACOnline) ;

     String getTACDefault() ;

     void setTACDefault(in String tacDefault) ;

     String getDDOL() ;

     void setDDOL(in String dDOL) ;

     String getTDOL();

     void setTDOL(in String tDOL) ;

     String getRiskManData() ;

     void setRiskManData(in String riskManData) ;

     String getAcquierId();

     void setAcquierId(in String acquierId) ;

    int getBOnlinePin();

     void setBOnlinePin(in int bOnlinePin) ;

     int getEC_bTermLimitCheck() ;

     void setEC_bTermLimitCheck(in int EC_bTermLimitCheck) ;

     long getEC_TermLimit() ;

     void setEC_TermLimit(in long EC_TermLimit);

     int getCL_bStatusCheck() ;

     int setCL_bStatusCheck(in int CL_bStatusCheck) ;

     long getCL_FloorLimit() ;

     void setCL_FloorLimit(in long CL_FloorLimit);

     long getCL_TransLimit() ;

     void setCL_TransLimit(in long CL_TransLimit) ;

     long getCL_CVMLimit() ;

     void setCL_CVMLimit(in long CL_CVMLimit) ;

    int getTermQuali_byte2() ;

     void setTermQuali_byte2(in int termQuali_byte2);

     int getTermInfoEnableFlag() ;

     int setTermInfoEnableFlag(in int termInfoEnableFlag) ;

     String getMerchId();

     void setMerchId(in String merchId) ;

     String getTermId() ;

     void setTermId(in String termId);

     String getMerchName() ;

     void setMerchName(in String merchName) ;

     String getMerchCateCode() ;

     void setMerchCateCode(in String merchCateCode);

     String getTransCurrCode();

    void setTransCurrCode(in String transCurrCode);
    String getTransCurrExp();

    void setTransCurrExp(String transCurrExp);

    String getReferCurrCode();

    void setReferCurrCode(in String referCurrCode);

    String getReferCurrExp();

    void setReferCurrExp(in String referCurrExp);

    String print();

    //
    String getCL_bAmount0Check();
    void setCL_bAmount0Check(in String CL_bAmount0Check);
    String getCL_bAmount0Option();
    void setCL_bAmount0Option(in String CL_bAmount0Option);
    String getCL_bFloorLimitCheck();
    void setCL_bFloorLimitCheck(in String CL_bFloorLimitCheck);
    String getCL_bTransLimitCheck();
    void setCL_bTransLimitCheck(in String CL_bTransLimitCheck);
    String getCL_bCVMLimitCheck();
    void setCL_bCVMLimitCheck(in String CL_bCVMLimitCheck);
    String getCLNotAllowFlag();
    void setCLNotAllowFlag(in String CLNotAllowFlag);

    byte[] toMCByteArray();

    int parseMCByteArray(in byte[] data);

    void setMagAvn(in byte[] magAvn);

    byte[] getUcMagSupportFlg();

    void setUcMagSupportFlg(in byte[] ucMagSupportFlg);

    byte[] getUcMagStrCVMCapWithCVM();

     void setUcMagStrCVMCapWithCVM(in byte[] ucMagStrCVMCapWithCVM);

     byte[] getUcMagStrCVMCapNoCVM();

     void setUcMagStrCVMCapNoCVM(in byte[] ucMagStrCVMCapNoCVM);

     byte[] getUcKernelConfig();

     void setUcKernelConfig(in byte[] ucKernelConfig);

     byte[] getUDOLLen();

    void setUDOLLen(in byte[] UDOLLen);

    byte[] getUDOL();

    void setUDOL(in byte[] UDOL);

    byte[] getUcCVMCap();

    void setUcCVMCap(in byte[] ucCVMCap);

    byte[] getUcCVMCapNoCVM();

    void setUcCVMCapNoCVM(in byte[] ucCVMCapNoCVM);

    byte[] getUcCardDataInputCap();

    void setUcCardDataInputCap(in byte[] ucCardDataInputCap);

    byte[] getSecurityCap();

    void setSecurityCap(in byte[] securityCap);

    //设置终端交易属性(qPBOC)TAG9F66
    int setTermTransQuali(in String termTransQuali);

    //获取终端交易属性(qPBOC)TAG9F66
    String getTermTransQuali();

    //设置终端类型
    int setTerminalType(in int terminalType);

    //获取终端类型
    int getTerminalType();

    //设置终端性能
    int setTermCapab(in int termCapab);

    //获取终端性能
    int getTermCapab();

    //设置终端扩展性能
    int setExTermCapab(in String exTermCapab);

    //获取终端扩展性能
    String getExTermCapab();

    //设置终端国家代码
    int setCountryCode(in String countryCode);

    //获取终端国家代码
    String getCountryCode();

    //设置终端国家代码
    int setTransCateCode(in String transCateCode);

    //获取终端国家代码
    String getTransCateCode();

    long getRdClssTxnLmtONdevice();

    void setRdClssTxnLmtONdevice(in long TxnLmtONdevice);

    long getRdClssTxnLmtNoONdevice();

    void setRdClssTxnLmtNoONdevice(in long TxnLmtNoONdevice);

    String getPPassTACDenial();

    void setPPassTACDenial(in String tacDenial);

    String getPPassTACOnline();

    void setPPassTACOnline(in String TACOnline);

    String getPPassTACDefault();

    void setPPassTACDefault(String tacDefault);

    String getTransType();

    void setTransType(in String transType);

    /*------ Create zss 20181115 add 0 Amount Check Begin ------*/
    void setPPassTermFLmtFlg(in String ppassTermFLmtFlg);

    String getPPassTermFLmtFlg();

    void setPPassRdClssTxnLmtFlg(in String ppassRdClssTxnLmtFlg);

    String getPPassRdClssTxnLmtFlg();

    void setPPassRdCVMLmtFlg(in String ppassRdCVMLmtFlg);

    String getPPassRdCVMLmtFlg();

    void setPPassRdClssFLmtFlg(in String ppassRdClssFLmtFlg);

    String getPPassRdClssFLmtFlg();

    void setPPassRdClssTxnLmtONdeviceFlg(in String ppassRdClssTxnLmtONdeviceFlg);

    String getPPassRdClssTxnLmtONdeviceFlg();

    void setPPassRdClssTxnLmtNoONdeviceFlg(in String ppassRdClssTxnLmtNoONdeviceFlg);

    String getPPassRdClssTxnLmtNoONdeviceFlg();
    /*------ Create zss 20181012 End ------*/
}
