(() => {
    'use strict';

    // Usage:
    // 
    // Creates:
    // 

    angular
        .module('easyorder.components.document.slides', ['easyorder.components.pdf'])
        .component('documentSlides', {
            templateUrl: 'js/components/document-slides/document-slides.template.html',
            controller: DocumentSlidesController,
            controllerAs: '$ctrl',
            bindings: {
                documents: '<',
                perPage: '<?',
                onClick: '&',
                onHold: '&',
                newOrderClick: '&' // remove it later with a proper button binding
            },
        });

    DocumentSlidesController.$inject = [];
    function DocumentSlidesController() {
        const $ctrl = this;
        ////////////////

        $ctrl.$onInit = function() {
            if (!$ctrl.perPage) {
                $ctrl.perPage = 2;
            }

            const documents = $ctrl.documents.slice();

            // documents.push({
            //     type: 'NEW_ORDER'
            // });

            $ctrl.documentsMatrix = new Array();

            let i = 0;
            while (documents.length > 0) {
                $ctrl.documentsMatrix[i++] = documents.splice(0, $ctrl.perPage);
            }
        };

        $ctrl.$onChanges = function(changesObj) { };

        $ctrl.$onDestroy = function() { };

    }
})();