(() => {
    'use strict';

    angular
        .module('easyorder.components.item.list', ['easyorder.components.item.detail', 'easyorder.components.customer.item.detail'])
        .component('itemList', {
            templateUrl: 'js/components/item-list/item-list.template.html',
            controller: ItemListController,
            controllerAs: '$ctrl',
            bindings: {
                items: '<',
                itemProperty: '<',
                deletable: '<',
                onDelete: '&',
                onItemClick: '&',
                itemTemplate: '@'
            },
        });

    ItemListController.$inject = [];
    function ItemListController() {
        const ctrl = this;
        ////////////////

        ctrl.$onInit = function() { };
        ctrl.$onChanges = function(changesObj) { };
        ctrl.$onDestroy = function() { };
    }
})();