(function () {
    'use strict';

    angular.module('easyorder.controllers.financial', [])
        .controller('FinancialCtrl', function ($scope, UtilService) {
            /**
             * Tipos de formas de financeiro disponíveis.
             */
            $scope.allTypes = [{
                handler: function() {
                    UtilService.navigateWithoutHistory('easyorder.authmanager', {"nextPage": "balance", "permission": OPERATOR_BALANCE});
                },
                css: "fa fa-money-check-alt",
                description: "Saldo"
            }, {
                handler: function() {UtilService.navigateWithoutHistory('easyorder.supply');},
                css: "fa fa-dollar-sign",
                description: "Suprimentos"
            }];
        });
})();