(function () {
    'use strict';
    angular.module('easyorder.controllers.giftcardaddvalue', [
        'easyorder.services.util',
        'easyorder.services.config'
    ])
        .controller('GiftCardAddValueCtrl', function ($scope, ConfigService, UtilService, $stateParams) {
            /**
             *
             */
            $scope.goNext = function () {
                $scope.giftCard.amount = $scope.content.paymentValue;
                
                UtilService.navigateWithoutHistory('easyorder.giftcardvirtual', { giftCard: $scope.giftCard });
            };

            /**
             *
            */
            $scope.getPrice = function (value) {
                $scope.content.paymentValue += value;
                
                $scope.$broadcast('clearCurrency', $scope.content.paymentValue);
            };

            /**
             * Função de inicialização.
            */
            (function () {
                $scope.content = {};
                $scope.content.paymentValue = 0;
                $scope.chargeValues = [5, 10, 25, 50];
                $scope.giftCard = $stateParams.giftCard;
            })();
        })
})();
