(function () {
    'use strict';
    angular.module('easyorder.controllers.mysalesdetails', [])
        .controller('MySalesDetailsCtrl', function (
            $scope,
            $stateParams,
            UserService,
            ConfigService,
            UtilService,
            ReportService) {

            $scope.saleSummaries = $stateParams.saleSummaries;
            $scope.initialDate = $stateParams.searchParams.initialDate,
            $scope.finalDate = $stateParams.searchParams.finalDate,
            $scope.operatorName = UserService.operatorName();
            $scope.storeName = 'Loja ' + ConfigService.config.storeNumber;
            $scope.reportService = ReportService;
            
            $scope.goBack = () => {
                UtilService.navigateWithoutHistory('easyorder.mysalesresult', $stateParams);
            };
            
        });
})();
