(function () {
    'use strict';
    angular.module('easyorder.controllers.storesalesresult', [])
        .controller('StoreSalesResultCtrl', function (
            $scope,
            $stateParams,
            UtilService,
            ConfigService,
            UserService,
            ReportService) {

            $scope.saleSummaries = $stateParams.saleSummaries;
            $scope.initialDate = $stateParams.searchParams.initialDate,
            $scope.finalDate = $stateParams.searchParams.finalDate,
            $scope.operatorName = UserService.operatorName();
            $scope.storeName = 'Loja ' + ConfigService.config.storeNumber;
            $scope.reportService = ReportService;

            $scope.showDetails = () => {
                UtilService.navigateWithoutHistory('easyorder.storesalesdetails', $stateParams);
            };

        });
})();
