(function() {
    'use strict';

    angular.module('easyorder.controllers.rfid.tag.deactivation.coupom.type.menu', [
    ])
    .controller('RFIDTagDeactivationCoupomTypeMenuCtrl', function($scope,
                                            $state,
                                            $stateParams,
                                            UtilService) {
        /**
         *
         */
        $scope.goScannedSearch = () => {
            var stateParams = {};
            angular.copy($stateParams, stateParams);
            
            stateParams.flowHistory.flow.push($state.current.name);
            stateParams.flowHistory.params.push($stateParams);
            
            return UtilService.navigateWithoutHistory('easyorder.rfid-scanned-transaction-tag-deactivation', stateParams);
        };
        /**
         *
         */
        $scope.goTypedSearch = () => {
            var stateParams = {};
            angular.copy($stateParams, stateParams);
            
            stateParams.flowHistory.flow.push($state.current.name);
            stateParams.flowHistory.params.push($stateParams);
            
            return UtilService.navigateWithoutHistory('easyorder.rfid-typed-transaction-tag-deactivation', stateParams);
        };
        /**
         * 
         */
        $scope.goBack = () => {
            if ($stateParams.flowHistory) {
                const backState = $stateParams.flowHistory.flow.pop();
                const params = $stateParams.flowHistory.params.pop();
                
                UtilService.navigateWithoutHistory(backState, params);
            }
        };
    });
})();