(() => {
    'use strict';

    angular
        .module('easyorder.services.includediscounts', [])
        .service('IncludeDiscountsService', IncludeDiscountsService);

    IncludeDiscountsService.$inject = ['$http', 'ConfigService'];

    function IncludeDiscountsService($http, ConfigService) {
        let service = {
            url: ''
        };

        service.loadSettings = function () {
            service.url = ConfigService.config.linxwebservices.secure ? 'https://' : 'http://';
            service.url += ConfigService.config.linxwebservices.host + ':';
            service.url += ConfigService.config.linxwebservices.port;
            service.url += '/linx-webservices/v1/-----';
        };
    }
})();