(function() {
	'use strict';

	angular.module('easyorder.services.telemetry', ['ngResource', 'easyorder.services.config'])

	.factory('TelemetryService', function($resource, ConfigService) {

		var service = {
			url: ''
		};
		
		service.loadSettings = function() {
            service.url  = ConfigService.config.linxwebservices.secure ? 'https://' : 'http://';
            service.url += ConfigService.config.linxwebservices.host + ':';
            service.url += ConfigService.config.linxwebservices.port;
            service.url += '/linx-webservices/v1/telemetry';
        };

		service.trackMetric = function(params, success, error) {
            service.loadSettings();
            return $resource(service.url + '/track-metric', {}, { trackMetric: { method: 'POST' } }).trackMetric({}, params, success, error).$promise;
        };

		return service;
	})
})();
