cordova.define("linx-cordova-tef-mobile.DTEFMobile", function(require, exports, module) {
/*global cordova,window,console*/

// o que deve ser alterado: plugins/com.linx.dtefmobile/www/dtefmobile.js

var DTEFMobile = function() {

};

DTEFMobile.prototype.executeTransaction = function(success, fail, options) {
	if (!options) {
		options = {};
	}
	
	var params = {
		parameters: options.parameters ? options.parameters : ""
	};

	return cordova.exec(success, fail, "DTEFMobile", "executeTransaction", [params]);
};

DTEFMobile.prototype.confirmTransaction = function(success, fail, options) {
	if (!options) {
		options = {};
	}
	
	var params = {
		parameters: options.parameters ? options.parameters : ""
	};

	return cordova.exec(success, fail, "DTEFMobile", "confirmTransaction", [params]);
};

DTEFMobile.prototype.undoTransaction = function(success, fail, options) {
	if (!options) {
		options = {};
	}
	
	var params = {
		parameters: options.parameters ? options.parameters : ""
	};

	return cordova.exec(success, fail, "DTEFMobile", "undoTransaction", [params]);
};

DTEFMobile.prototype.finalizeTransaction = function(success, fail, options) {
	if (!options) {
		options = {};
	}
	
	var params = {
		parameters: options.parameters ? options.parameters : ""
	};

	return cordova.exec(success, fail, "DTEFMobile", "finalizeTransaction", [params]);
};

DTEFMobile.prototype.executeTransactionSpecial = function(success, fail, options) {
	if (!options) {
		options = {};
	}
	
	var params = {
		parameters: options.parameters ? options.parameters : ""
	};

	return cordova.exec(success, fail, "DTEFMobile", "executeTransactionSpecial", [params]);
};

DTEFMobile.prototype.comandoPOS = function(success, fail, options) {
	if (!options) {
		options = {};
	}
	
	var params = {
		parameters: options.parameters ? options.parameters : ""
	};

	return cordova.exec(success, fail, "DTEFMobile", "comandoPOS", [params]);
};

DTEFMobile.prototype.printPOS = function(success, fail, options) {
	if (!options) {
		options = {};
	}
	
	var params = {
		parameters: options.parameters ? options.parameters : ""
	};

	return cordova.exec(success, fail, "DTEFMobile", "printPOS", [params]);
};

DTEFMobile.prototype.printBarcode = function(success, fail, options) {
	if (!options) {
		options = {};
	}
	
	var params = {
		parameters: options.parameters ? options.parameters : ""
	};

	return cordova.exec(success, fail, "DTEFMobile", "printBarcode", [params]);
};

DTEFMobile.prototype.prints = function(success, fail, options) {
	if (!options) {
		options = {};
	}
 
	var params = {
		parameters: options
	};
 
	return cordova.exec(success, fail, "DTEFMobile", "prints", [params]);
 };

 DTEFMobile.prototype.getInfo = function(success, fail, options) {
	if (!options) {
		options = {};
	}

	var params = {
		parameters: options
	};
 
	return cordova.exec(success, fail, "DTEFMobile", "getInfo", [params]);
 };

DTEFMobile.prototype.sendCallbackResponse = function(success, fail, options) {
	if (!options) {
		options = {};
	}
	
	var params = {
		parameters: options.parameters ? options.parameters : ""
	};

	return cordova.exec(success, fail, "DTEFMobile", "sendCallbackResponse", [params]);
};

DTEFMobile.prototype.providers = ['LINX', 'D-TEF'];
DTEFMobile.prototype.isProviderSupported = function(provider) {
	return provider != null ? this.providers.includes(provider.toUpperCase()) : false;
};

window.dtefMobile = new DTEFMobile();

});
