// IEmvParamInterface.aidl
package wangpos.sdk4.emv;

// Declare any non-default types here with import statements

interface IEmvParamInterface {

    byte[] toByteArray();

    int parseByteArray(in byte[] data);

    String print();

    //设置商户类别码
    int setMerchCateCode(in String merchCateCode);

    //获取商户类别码
    String getMerchCateCode();

    //设置商户号
    int setMerchId(in String merchId);

    //获取商户号
    String getMerchId();

    //设置终端号
    int setTermId(in String termId);

    //获取终端号
    String getTermId();

    //设置商户名
    int setMerchName(in String merchName);

    //获取商户名
    String getMerchName();

    //设置终端类型
    int setTerminalType(in int terminalType);

    //获取终端类型
    int getTerminalType();

    //设置终端性能
    int setTermCapab(in int termCapab);

    //获取终端性能
    int getTermCapab();

    //设置终端扩展性能
    int setExTermCapab(in String exTermCapab);

    //获取终端扩展性能
    String getExTermCapab();

    //设置终端国家代码
    int setCountryCode(in String countryCode);

    //获取终端国家代码
    String getCountryCode();

    //设置交易货币代码
    int setTransCurrCode(in String transCurrCode);

    //获取交易货币代码
    String getTransCurrCode();

    //设置交易货币代码指数
    int setTransCurrExp(in String transCurrExp);

    //获取交易货币代码指数
    String getTransCurrExp();

    //设置参考货币代码指数
    int setReferCurrCode(in String referCurrCode);

    //获取参考货币代码指数
    String getReferCurrCode();

    //设置参考货币代码指数
    int setReferCurrExp(in String referCurrExp);

    //获取参考货币代码指数
    String getReferCurrExp();

    //设置参考货币代码和交易代码的转换系数
    int setReferCurrCon(in int referCurrCon);

    //获取参考货币代码和交易代码的转换系数
    int getReferCurrCon();

    //设置当前交易类型
    int setTransType(in long transType);

    //获取当前交易类型
    long getTransType();

    //设置是否获取PIN重试次数
    int setGetDataPIN(in int getDataPIN);

    //获取是否获取PIN重试次数
    int getGetDataPIN();

    //设置用户强制联机
    int setForceOnline(in int forceOnline);

    //获取用户强制联机
    int getForceOnline();

    //设置终端是否支持缺省TDOL
    int setSupportDefaultTDOL(in int supportDefaultTDOL);

    //获取终端是否支持缺省TDOL
    int getSupportDefaultTDOL();

    //设置终端是否支持缺省DDOL
    int setSupportDefaultDDOL(in int supportDefaultDDOL);

    //获取终端是否支持缺省DDOL
    int getSupportDefaultDDOL();

    //设置终端是否支持PSE目录选择方式
    int setSupportPSESel(in int supportPSESel);

    //获取终端是否支持PSE目录选择方式
    int getSupportPSESel();

    //设置终端电子现金指示器
    int setECTSI(in int eCTSI);

    //获取终端电子现金指示器
    int getECTSI();

    //设置终端交易属性(qPBOC)TAG9F66
    int setTermTransQuali(in String termTransQuali);

    //获取终端交易属性(qPBOC)TAG9F66
    String getTermTransQuali();

    //设置终端预置交易金额
    int setFixedTransAmount(in long fixedTransAmount);

    //获取终端交预置交易金额
    long getFixedTransAmount();

    //设置终端预置反现金额
    int setFixedCashBackAmount(in long fixedCashBackAmount);

    //获取终端交预置反现金额
    long getFixedCashBackAmount();

    //设置终端预置交易密码
    int setFixedPasswd(in String fixedPasswd);

    //获取终端交预置交易密码
    String getFixedPasswd();

    //设置终端数据捕获方式
    int setUcDataCaptureFlag(in int ucDataCaptureFlag);

    //获取终端数据捕获方式
    int getUcDataCaptureFlag();

    void setDRLSupportFlag(in String DRLSupportFlag);
    String getDRLSupportFlag();
    void setCL_bCashAUCCheck(in String CL_bCashAUCCheck);
    String getCL_bCashAUCCheck();
    void setCL_bCashBackAUCCheck(in String CL_bCashBackAUCCheck);
    String getCL_bCashBackAUCCheck();
    void setCL_bExceptionFileCheck(in String CL_bExceptionFileCheck);
    String getCL_bExceptionFileCheck();
}
