(function() {
    'use strict';
    angular.module("easyorder.components.badge", []).component("badge",{
        controllerAs: "$ctrl",
        templateUrl : "js/components/badge/badge.template.html",
        bindings : {
            animate: "@",//Define se o badge irá fazer alguma animação ao alterar o "value"
            value: "<"//Valor que será mostrado no badge.
        },
        controller : function accordionController($scope, $timeout) {
            this.alterValue = false;
            this.$onInit = function() {
                if(this.value)  this.value = 0;
            };
            $scope.$watch("$ctrl.value", function(newValue){
                if($scope.$ctrl.animate){
                    $scope.$ctrl.alterValue = true;
                    $timeout(function(){$scope.$ctrl.alterValue = false;}, 500);
                }
                $scope.$ctrl.value = newValue;
            });
        } 
    });
})();