/**
 * Created by Vidailhet on 17/11/15.
 * 
 * Modificado.
 */
(function (ionic) {
    angular.module('ionic.closePopup', ['ionic'])
        .service('IonicClosePopupService', [
            function () {
                var currentPopup;
                var cClose;
                var clickHandler = function (event) {
                    if (event.target.nodeName === 'HTML') {
                        if (currentPopup) {
                            currentPopup.close();
                            
                            if (cClose) {
                                cClose();
                            }
                            htmlEl.off('click', clickHandler);
                        }
                    }
                };
                var htmlEl = angular.element(document.querySelector('html'));

                this.register = function (popup, closeCallback) {
                    currentPopup = popup;
                    cClose = closeCallback;
                    htmlEl.on('click', clickHandler);
                };
            }
        ]);
})(window.ionic);