(function () {
    'use strict';
    angular.module('easyorder.controllers.consolidatedstoresalesresult', [])
        .controller('ConsolidatedStoreSalesResultCtrl', function (
            $scope,
            $stateParams,
            UtilService,
            UserService,
            ConfigService,
            ReportService) {

            $scope.saleSummaries = $stateParams.saleSummaries;
            $scope.date = $stateParams.searchParams.date,
            $scope.operatorName = UserService.operatorName();
            $scope.storeName = 'Loja ' + ConfigService.config.storeNumber;
            $scope.reportService = ReportService;

            $scope.showDetails = () => {
                UtilService.navigateWithoutHistory('easyorder.consolidatedstoresalesdetails', $stateParams);
            };

        });
})();
