(function () {
    'use strict';
    angular.module('easyorder.controllers.reports', [])
        .controller('ReportsCtrl', function (
            $rootScope,
            $scope,
            UserService,
            UtilService) {

            $scope.consolidatedStoreSalesReportEnabled = $rootScope.reports && $rootScope.reports.includes("CONSOLIDATED_STORE_SALES") && UserService.checkPermission(STORE_SALES_REPORT);
            $scope.storeSalesReportEnabled = $rootScope.reports && $rootScope.reports.includes("STORE_SALES") && UserService.checkPermission(STORE_SALES_REPORT);
            $scope.mySalesReportEnabled = $rootScope.reports && $rootScope.reports.includes("MY_SALES");
            
            $scope.consolidatedStoreSalesReport = () => {
                UtilService.navigateWithoutHistory('easyorder.consolidatedstoresalessearch');
            };

            $scope.storeSalesReport = () => {
                UtilService.navigateWithoutHistory('easyorder.storesalessearch');
            };

            $scope.mySalesReport = () => {
                UtilService.navigateWithoutHistory('easyorder.mysalessearch');
            };

        });
})();
