(() => {
    'use strict';

    angular
        .module('easyorder.services.discounttypes', [])
        .service('DiscountTypesService', DiscountTypesService);

        DiscountTypesService.$inject = ['$http', 'ConfigService'];

    function DiscountTypesService($http, ConfigService) {
        let service = {
            url: ''
        };

        service.loadSettings = function() {
            service.url  = ConfigService.config.linxwebservices.secure ? 'https://' : 'http://';
            service.url += ConfigService.config.linxwebservices.host + ':';
            service.url += ConfigService.config.linxwebservices.port;
            service.url += '/linx-webservices/v1/-----';
        };

    }
})();