(function() {
    'use strict';

    angular.module('easyorder.services.rfid.transaction', [])
    .factory('RFIDTransactionService', function($resource, ConfigService) {
        var service = {};
        
        /**
         *
         */
        service.getURL = () => {
            let url = ConfigService.config.linxwebservices.secure ? 'https://' : 'http://';
            url += ConfigService.config.linxwebservices.host + ':';
            url += ConfigService.config.linxwebservices.port;
            url += '/linx-webservices/v1/transaction/rfid';
          
            return url;
        };
        /**
         *
         */
        service.itemLinkage = (request) => {
            return $resource(service.getURL() + "/linkage", {}, {
                process: {
                    method: 'POST'
                }
            }).process({}, request).$promise;
        };
        return service;
    });
})();