cordova.define("linx-print.linxPrint", function(require, exports, module) {
const exec = require('cordova/exec');

const LinxPrint = {
    PAPER_TYPE_THERMAL_42_COL: 0x01,
    PAPER_TYPE_THERMAL_56_COL: 0X02,
    PAPER_TYPE_A_SERIES: 0x04,

    COM_TYPE_BLUETOOTH: 0x01,
    COM_TYPE_INTERNAL: 0x02,

    MIME_TYPE_LINX: 0x01,
    MIME_TYPE_PDF: 0x02,

    RET_CODE_SUCCESS: 0,
    RET_CODE_ERROR: 1,
    RET_CODE_WITHOUT_PAPER: 2,
    RET_CODE_PRINTER_NOT_FOUND: 3,
    RET_CODE_NO_PRINTERS_FOUND: 4,
    RET_CODE_PAPER_TYPE_NOT_SUPPORTED: 5,
    RET_CODE_MIME_TYPE_NOT_SUPPORTED: 6,

    listPrinters: function(success, error) {
        exec(success, error, 'LinxPrint', 'listPrinters', []);
    },
    print: function(printRequest, success, error) {
	exec(success, error, 'LinxPrint', 'print', [printRequest]);
    }
}

module.exports = LinxPrint;
});
